#pragma once
#include <JUI/Widget.hpp>


namespace JUI
{

    // TODO: SceneSizingBehavior - FillToWindow, CustomSized
    class Scene : public Widget {
    public:
        Scene();

        ~Scene() override {}
        void Draw() override;
        void SetViewportSize(int w, int h);

        void Update(float delta) override;

        [[nodiscard]] Vector2 GetAbsolutePosition() const override;

        [[nodiscard]] Vector2 GetAbsoluteSize() const override;

    protected:
        int viewport_w;
        int viewport_h;
    };
}
